package com.ho.user.mapper;


import com.ho.user.entity.SysUserRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysUserRoleMapper {


    int insert(SysUserRole record);

    int insertSelective(SysUserRole record);

    SysUserRole selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(SysUserRole record);

    int updateByPrimaryKey(SysUserRole record);

    List<Integer> getRoleIdsByUserId(String userId);

    int batchUserRole(List<SysUserRole> list);

    List<String> getInfoByUserIdByRoleId(Integer roleId);

    List<String> getUserIdsByRoleIds(List<Integer> roleIds);

    int  removeByUserIds( @Param("list") List<String> list);

    int deleteByPrimaryKey(Integer id);

    int removeByUserId(String userId);

    int removeByRoleId(Integer roleId);

}